Bug 1262 - "force" configuration doesn't work for print shares
"force" configuration doesn't work for print shares
Status: RESOLVED LATER
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.11
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 01:27 UTC by Kristian Rink
Modified: 2005-11-12 10:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kristian Rink 2004-04-13 01:27:05 UTC
Tried to set up a custom printer using "print command" and several other options
defined in the print share, most notably the "force user" and "force group"
options since the specified print command needs to be ensured to run using the
same user account each and every time. Anyhow, I was told on
samba@lists.samba.org that printing works through IPC$ and thus the per-share
options for printer configurations don't work. This is bad IMHO.
Comment 1 Gerald (Jerry) Carter 2005-03-07 16:15:31 UTC
This is going to be a major piece of work.  So far this is 
the only request I've had for it.  I'm marking this as later.
If I get another request (making two) I'll reopen it.  
Comment 2 Jan Felix Reuter 2005-11-12 10:30:34 UTC
(In reply to comment #1)
> This is going to be a major piece of work.  So far this is 
> the only request I've had for it.  I'm marking this as later.
> If I get another request (making two) I'll reopen it.  

Well, here's another request for this bug to be fixed. The scripts
I run for each print job need to be run as the same user each time.
I'd appreciate it if this feature could be implemented / this bug could
be fixed.

Cheers, Felix